API Explorer 5 endpoints

Create new parcel_snapshot

POST /obp/dynamic-entity/banks/ogcr/parcel_snapshot

OBPv4.0.0-dynamicEntity_createparcel_snapshot_ogcr Roles: CanCreateDynamicEntityRecord_parcel_snapshot(per bank) _Parcel_snapshot(ogcr)Dynamic-EntityDynamic

Create new parcel_snapshot.

"parcel snapshot" is a point-in-time record of what was happening on a parcel over a defined period — for example which growing seasons and livestock herds were present. This Dynamic Entity is part of OGCR.

Property List:

  • digital_mrv_observation_id: The dMRV observation that triggered this snapshot

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"parcel_snapshot"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "parcel_snapshot_id": "string",
  "parcel_id": "string",
  "land_manager_id": "string",
  "snapshot_start_date": "2020-01-01",
  "snapshot_end_date": "2020-01-01",
  "digital_mrv_observation_id": "string",
  "growing_season_list": {},
  "livestock_list": {}
}
Example success response
{
  "bank_id": "ogcr",
  "parcel_snapshot": {
    "parcel_snapshot_id": "string",
    "parcel_id": "string",
    "land_manager_id": "string",
    "snapshot_start_date": "2020-01-01",
    "snapshot_end_date": "2020-01-01",
    "digital_mrv_observation_id": "string",
    "growing_season_list": {},
    "livestock_list": {}
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_createparcel_snapshot_ogcr Originally /banks/ogcr/parcel_snapshot